> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/diagnostic/archives/{deviceId} > Get a list of device debug archive collections ## OpenAPI ````json GET /v1/diagnostic/archives/{deviceId} { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/diagnostic/archives/{deviceId}": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "deviceId", "in": "path", "required": true, "description": "Valid Provisioned device ID", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 }, "example": 1000000 } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DiagnosticArchivesDeviceIdGetResponse" } } } } }, "description": "Get a list of device debug archive collections" } } }, "components": { "schemas": { "v1DiagnosticArchivesDeviceIdGetResponse": { "type": "object", "properties": { "archives": { "type": "array", "items": { "$ref": "#/components/schemas/diagnosticToolsArchive" } } }, "additionalProperties": false }, "diagnosticToolsArchive": { "type": "object", "properties": { "archiveFileName": { "type": "string", "example": "12000.tar.zst.gpg", "description": "The archive file name" }, "archiveId": { "type": "integer", "format": "int64", "example": 1000000, "description": "Unique identifier for a specific archive" }, "archiveUrl": { "type": "string", "example": "graphiant.com/archives/134", "description": "The URL to download this archive" }, "created": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "creator": { "type": "string", "example": "8a2ec658-f25b-11ec-b939-0242ac120002", "description": "The user who requested the generation of this archive" }, "description": { "type": "string", "example": "archive requested to debug tenant A problem in device B", "description": "Description of the requested archive" }, "progress": { "type": "integer", "format": "int32", "example": 80, "description": "The upload progress of the requested debug archive in percentage" }, "status": { "type": "string", "example": "Uploaded", "description": "The status of the requested debug archive" }, "type": { "type": "string", "example": "Debug", "description": "The type of the archive" } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````